Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.attribute
Class PKIPubInfoRegControl.Method

`java.lang.Object
oracle.security.crypto.cmp.attribute.PKIPubInfoRegControl.Method`

Enclosing class:
  PKIPubInfoRegControl

public static class PKIPubInfoRegControl.Method
extends java.lang.Object

PKI publication methods, if Action is PLEASE_PUBLISH.

Field Summary
`static PKIPubInfoRegControl.Method` | `DONT_CARE` Receiver may publish the certificate using any means.
`static PKIPubInfoRegControl.Method` | `LDAP` Receiver is to use the ldap publication method.
`static PKIPubInfoRegControl.Method` | `WEB` Receiver is to use the web publication method.
`static PKIPubInfoRegControl.Method` | `X500` Receiver is to use the x500 publication method.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getValue()` Returns the integer value of the publication method.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DONT_CARE

    public static final PKIPubInfoRegControl.Method DONT_CARE

  Receiver may publish the certificate using any means.

### X500

    public static final PKIPubInfoRegControl.Method X500

  Receiver is to use the x500 publication method.

### WEB

    public static final PKIPubInfoRegControl.Method WEB

  Receiver is to use the web publication method.

### LDAP

    public static final PKIPubInfoRegControl.Method LDAP

  Receiver is to use the ldap publication method.

Method Detail

### getValue

    public int getValue()

  Returns the integer value of the publication method.

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.